
.landingpage{
    background-color: $green;


    &__container{
        display: grid;
        grid-template-columns: 1fr 1fr;
        align-items: center;
        justify-items: center;
        margin:0 auto;
        height: 90vh;
        z-index:1;
        width: 100%; 
        max-width: 1200px;
        padding-right:24px;
        padding-left:24px;

        @include tablet{
            grid-template-columns: 1fr;
            height: 100%;
        }

        &--left{
            width:100%;
            line-height: 1.2;
             
            @include tablet{
            padding: 5rem 0;

            }
            @include mobile{
                line-height: 1.5rem;
            }
        }
        &--left h1{
            font-size: 4.5rem;
            color:$blue;

            @include mobile{
                font-size: 1.5rem;
            }
        }
        &--left h2{
            font-size: 4rem;
            color:white;

            @include mobile{
                font-size: 2rem;
            }
        }
        
        &--left p{
            font-size: 1rem;
            letter-spacing: 0.2em;
            color:white;
            // margin-top: 1rem;

            @include mobile{
                font-size: 1.5rem;
            }
        }
        &--btn {
            font-size: 1rem;
            background-color: darkorange;
            padding: 14px 32px;
            border: none;
            border-radius: 4px;
            color: $light;
            margin-top: 2rem;
            cursor: pointer;
            position: relative;
            transition: all 0.3s;
            outline: none;
          }
          &--btn a {
            position: relative;
            z-index: 2;
            color: $light;
            text-decoration: none;
          }
      
          &--btn:after {
            position: absolute;
            content: '';
            top: 0;
            left: 0;
            width: 0;
            height: 100%;
            background: $blue;
            transition: all 0.3s;
            border-radius: 4px;
          }
      
          &--btn:hover:after {
            width: 100%;
          }
      
          &--right {
            text-align: center;
          }
      
          &--img {
            height: 100%;
            width: 100%;
          }

    }
}